/********************************************************************\

  Name:         event.h
  Created by:   ODBedit program

  Contents:     This file contains C structures for the "Runinfo"
                tree in the ODB and  the "/Analyzer/Parameters" tree.

                Additionally, it contains the "Settings" subtree for
                all items listed under "/Equipment" as well as their
                event definition if they are in "FIXED" format.

                It can be used by the frontend and analyzer to work
                with these information.

  Created on:   Wed Mar 19 18:12:00 1997

\********************************************************************/

typedef struct {
  INT       state;
  INT       online_mode;
  INT       run_number;
  char      start_time[32];
} RUNINFO;

typedef struct {
  float     adc_pedestal[2];
  float     chamber_dist;
  float     source_dist;
} ANA_PARAM;

typedef struct {
  INT       crystal_number;
  INT       filter_number;
  INT       hv;
  float     beam_momentum;
  char      wrapping[32];
  char      coupling[32];
  float     table_pos;
} EXP_PARAM;

typedef struct {
  WORD      adc[2];
  INT       ax;
  INT       ay;
  INT       bx;
  INT       by;
} TRIGGER_EVENT;

typedef struct {
  WORD      io506_slot;
  WORD      adc0_slot;
  WORD      tdc0_slot;
  WORD      dbi_slot;
  WORD      attn_slot;
  WORD      smk_slot;
  struct {
    WORD      slot[8];
    WORD      plane[8];
    float     threshold[8];
    WORD      delay[8];
    WORD      n_wires[4];
    float     wire_spacing[4];
    BOOL      mirror[4];
  } pcos;
} TRIGGER_SETTINGS;

typedef struct {
  DWORD     scaler0[2];
  float     attenuation;
  float     temperature;
} SCALER_EVENT;

typedef struct {
  WORD      scaler0_slot;
  WORD      first_channel;
  WORD      last_channel;
} SCALER_SETTINGS;

