/********************************************************************\

  Name:         event.h
  Created by:   ODBedit program

  Contents:     This file contains C structures for the "Runinfo"
                tree in the ODB and  the "/Analyzer/Parameters" tree.

                Additionally, it contains the "Settings" subtree for
                all items listed under "/Equipment" as well as their
                event definition if they are in "FIXED" format.

                It can be used by the frontend and analyzer to work
                with these information.

  Created on:   Thu Jan 30 13:20:51 1997

\********************************************************************/

typedef struct {
  INT       state;
  INT       online_mode;
  INT       run_number;
  char      start_time[32];
} RUNINFO;

typedef struct {
  float     adc_pedestal[2];
  float     chamber_dist;
  float     source_dist;
} ANA_PARAM;

typedef struct {
  BOOL      pedestal_run;
} EXP_PARAM;

typedef struct {
  WORD      adc[2];
  WORD      tdc[2];
  int       ax[3];
  int       ay[3];
  int       bx[3];
  int       by[3];
} TRIGGER_EVENT;

typedef struct {
  WORD      io506_slot;
  WORD      adc0_slot;
  WORD      tdc0_slot;
  WORD      dbi_slot;
  struct {
    WORD      slot[12];
    WORD      plane[12];
    float     threshold[12];
    WORD      delay[12];
    WORD      n_wires[4];
    float     wire_spacing[4];
    BOOL      mirror[4];
  } pcos;
} TRIGGER_SETTINGS;

typedef struct {
  DWORD     scaler0[2];
} SCALER_EVENT;

typedef struct {
  WORD      scaler0_slot;
  WORD      first_channel;
  WORD      last_channel;
} SCALER_SETTINGS;

