/********************************************************************\

  Name:         <template>.c
  Created by:   Stefan Ritt

  Contents:     PiBeta Analyzer module for <template>


  Revision history
  ------------------------------------------------------------------
  date         by    modification
  ---------    ---   ------------------------------------------------
  <date>       <XX>  created


\********************************************************************/
                                                        
/*-- Include files -------------------------------------------------*/

/* standard includes */
#include <stdio.h>

/* midas includes */
#include "midas.h"
#include "hardware.h"
#include "event.h"

/*-- Parameters ----------------------------------------------------*/

<TEMPLATE>_PARAM <template>_param;

/*-- Static parameters ---------------------------------------------*/


/*-- Module declaration --------------------------------------------*/

INT <template>(char*);

ANA_MODULE <template>_module = {
  "<template>",                  /* module name           */  
  "<Your Name>",                 /* author                */
  NULL,                          /* BOR routine           */
  NULL,                          /* EOR routine           */
  <template>,                    /* event routine         */
  &<template>_param,             /* parameter structure   */
  sizeof(<template>_param),      /* structure size        */
  <TEMPLATE>_PARAM_STR,          /* initial parameters    */
};

/*-- event routine -------------------------------------------------*/

INT <template>(char *pevent)
{
int          n;
XXXX_BANK    *xxxx;
YYYY_BANK    *yyyy;

  /* look for <XXXX> bank, return if not present */
  n = bk_locate(pevent, "XXXX", &xxxx);
  if (n == 0)
    return SUCCESS;

  /* create calculated bank */
  bk_create(pevent, "YYYY", TID_STRUCT, &yyyy);

  /*---- perform calculations --------------------------------------*/

  yyyy->x = xxxx->x * 2;

  /*---- close calculated bank -------------------------------------*/
  bk_close(pevent, yyyy+1);
  
  return SUCCESS;
}
