/********************************************************************\

  Name:         util.h
  Created by:   Stefan Ritt

  Contents:     Header file for util.c


  Revision history
  ------------------------------------------------------------------
  date         by    modification
  ---------    ---   ------------------------------------------------
  03-JUL-97    SR    created


\********************************************************************/

double fit(double x[], double y[], double weight[],
           double (*func)(double x, double param[]),
           int n_points, int n_params,
           double param[], double sigmaparam[],
           double yfit[]);

double f_gaussian(double x, double param[]);
double f_gaussexp(double x, double param[]);
double f_trapezoid(double x, double param[]);

void gain_match(float *ref_histo, float *adc_histo, int n,
                float x_low, float x_high,
                float roi_low, float roi_high,
                float range_low, float range_high,
                float *gain, float *error);
