/********************************************************************\

  Name:         frontend.h
  Created by:   Stefan Ritt

  Contents:     Experiment specific readout code (user part) header
                file. Contains slot definitions etc.


  Revision history
  ------------------------------------------------------------------
  date         by    modification
  ---------    ---   ------------------------------------------------
  12-NOV-96    SR    created


\********************************************************************/

/**** readout options *****/
#undef  CAMAC_ADCS        /* Read out camac ADCs */
#undef  CAMAC_TDCS        /* Read out camac TDCs */
#define CAMAC_COINC       /* Read out camac coincidence register */
#define CAMAC_SCALERS     /* Read out camac scalers */
#define LRS1882           /* Read out fastbus ADCs */
#undef  PS10C6            /* Read out fastbus Phillips Scientific TDCs */
#define LRS1877           /* Read out fastbus LeCroy TDCs */
#define PS7106            /* PS 7106 CAMAC discriminators */
#define LRS2365           /* LeCroy octal login unit */
#define LRS4518           /* LeCroy ECL delay */
#define PS7132            /* Read out PS7132 CAMAC scaler */
#undef  PCOS              /* Read out wire chambers */
#define DA500             /* CAMAC DAC */

/**** Definition of CAMAC slots ****/
#define CS_IO          23   /* main IO506 */
#define CS_IO2         22   /* secondary IO506 */

#define CS_COINC       12   /* Coincidence register */
#define CS_DBI         14   /* PCOS 4299 module */
#define CS_SCALER0     21   /* CAMAC scaler */

#define CS_ADC0        15   /* CAMAC ADC */

#define CS_TDC0        17   /* CAMAC TDC */

#define CS_LRS2365      9   /* LRS 2365 octal logic matrix */
#define CS_LRS4518_1    8   /* LRS 4518 ECL delay */
#define CS_LRS4518_2   11   /* LRS 4518 ECL delay */

#define CS_DACHI       17   /* DA500 DAC */
#define CS_DACLO       18   /* DA500 DAC */

#define CS_DISC_START   1   /* Phillips 7106 Discriminator */
#define CS_DISC_END     9

#define CS_SCLR_START   1   /* Phillips 7132 Scaler */
#define CS_SCLR_END     5

/**** PCOSIII chamber number definition ****/
#define CHAMBER_A_X     0
#define CHAMBER_A_Y     1
#define CHAMBER_B_X     2
#define CHAMBER_B_Y     3
#define LAST_CHAMBER    3

/* maximum number of PCOSIII 2731 modules in the system */
#define N_PCOS2731     23
